API referenceCounterparty
POST /api/Counterparty/AddCounterpartyTimeseriesConnection
Adds connections between counterparties and timeseries.
POST
/api/Counterparty/AddCounterpartyTimeseriesConnectioncurl -X POST "/api/Counterparty/AddCounterpartyTimeseriesConnection" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
{
"timeseriesId": 0,
"counterPartyId": 0,
"validityOrder": 0,
"counterPartyTimeseriesTypeId": 0
}
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataEtrmApiGateway.DTOs.BackOffice.CounterPartyTimeseriesConnectionCreateDto[] | null
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.BackOffice.CounterPartyTimeseriesConnectionCreateDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"timeseriesId": 0,
"counterPartyId": 0,
"validityOrder": 0,
"counterPartyTimeseriesTypeId": 0
}
]
}